FreeMat

- Main Page
- Related Pages

vtkRendererDelegate

Section: Visualization Toolkit Rendering Classes

# Usage

vtkRendererDelegate is an abstract class with a pure virtual method Render. This method replaces the Render method of vtkRenderer to allow custom rendering from an external project. A RendererDelegate is connected to a vtkRenderer with method SetDelegate(). An external project just has to provide a concrete implementation of vtkRendererDelegate.

To create an instance of class vtkRendererDelegate, simply invoke its constructor as follows

      obj = vtkRendererDelegate

# Methods

The class vtkRendererDelegate has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRendererDelegate class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRendererDelegate = obj.NewInstance ()`
- `vtkRendererDelegate = obj.SafeDownCast (vtkObject o)`
- `obj.Render (vtkRenderer r)` - Render the props of vtkRenderer if Used is on.
- `obj.SetUsed (bool )` - Tells if the delegate has to be used by the renderer or not. Initial value is off.
- `bool = obj.GetUsed ()` - Tells if the delegate has to be used by the renderer or not. Initial value is off.
- `obj.UsedOn ()` - Tells if the delegate has to be used by the renderer or not. Initial value is off.
- `obj.UsedOff ()` - Tells if the delegate has to be used by the renderer or not. Initial value is off.